#ifndef __AP_WEAPON_H__
#define __AP_WEAPON_H__

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define AP_TYPE_WEAPON (ap_weapon_get_type ())

G_DECLARE_FINAL_TYPE (APWeapon, ap_weapon, AP, WEAPON, GObject)

APWeapon *
ap_weapon_new (void);

APWeapon *
ap_weapon_new_with_name (gchar *name);

APWeapon *
ap_weapon_new_simple (gchar *name,
                      gchar *damage,
                      gchar *type);

G_END_DECLS

#endif /* __AP_WEAPON_H__ */

